aboutsummaryrefslogtreecommitdiffstats
path: root/main/taglib/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2016-05-16 18:11:19 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2016-05-16 18:50:20 +0000
commitad4e7dd27f5f35d5ef5082b7e9a5ba5f0bef4621 (patch)
tree1a6f854abf9a15ea1b423a332ca361edabb946da /main/taglib/APKBUILD
parentdda16a2e6083de8bddf48acf425658e5c0a3b92d (diff)
downloadaports-ad4e7dd27f5f35d5ef5082b7e9a5ba5f0bef4621.tar.gz
aports-ad4e7dd27f5f35d5ef5082b7e9a5ba5f0bef4621.tar.bz2
aports-ad4e7dd27f5f35d5ef5082b7e9a5ba5f0bef4621.tar.xz
main/taglib: build dynamic lib
Diffstat (limited to 'main/taglib/APKBUILD')
-rw-r--r--main/taglib/APKBUILD9
1 files changed, 7 insertions, 2 deletions
diff --git a/main/taglib/APKBUILD b/main/taglib/APKBUILD
index 2b4396ed60..b86bc2b979 100644
--- a/main/taglib/APKBUILD
+++ b/main/taglib/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=taglib
pkgver=1.11
-pkgrel=0
+pkgrel=1
pkgdesc="library for reading and editing the meta-data of several popular audio formats."
url="http://taglib.github.io/"
arch="all"
@@ -13,7 +13,12 @@ subpackages="$pkgname-dev"
build () {
cd "$srcdir"/$pkgname-$pkgver
- cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release -DWITH_ASF=ON -DWITH_MP4=ON || return 1
+ cmake -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DWITH_ASF=ON \
+ -DWITH_MP4=ON \
+ -DBUILD_SHARED_LIBS=ON \
+ || return 1
make VERBOSE=1 || return 1
}